function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { Input as AntInput } from 'antd';
import Icon from "../../../icon";
import ReadPretty from "./ReadPretty";
import { withMode } from "../../dataSourceForm/utils";
var Email = function Email(props) {
  return /*#__PURE__*/React.createElement(AntInput, _extends({}, props, {
    prefix: /*#__PURE__*/React.createElement(Icon, {
      type: "pisell2-mail-01",
      size: 18,
      color: "#98A2B3"
    })
  }));
};
var EmailWithMode = withMode(Email, ReadPretty);
export default EmailWithMode;